de.esprit.appsuite.appstore.ndf

## Enum CommandLineOptionDataType

- java.lang.Object
- - java.lang.Enum<CommandLineOptionDataType>
  - - de.esprit.appsuite.appstore.ndf.CommandLineOptionDataType

- All Implemented Interfaces:
    PersistentName, java.io.Serializable, java.lang.Comparable<CommandLineOptionDataType>

      public enum CommandLineOptionDataType
      extends java.lang.Enum<CommandLineOptionDataType>
      implements PersistentName

  This enum defines the type of an option. The java data type can be derived from this enum.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BATCH_FLAG`
    `FLAG`
    `FLOAT_OPTION`
    `HELP_FLAG`
    `INT_OPTION`
    `STRING_OPTION`
    `VERSION_FLAG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandLineOptionDataType` | `fromPersistentName(java.lang.String name)`
    `java.lang.String` | `getPersistentName()` Returns the String value to be stored in the database or file.
    `static CommandLineOptionDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommandLineOptionDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HELP_FLAG

          public static final CommandLineOptionDataType HELP_FLAG

    - #### BATCH_FLAG

          public static final CommandLineOptionDataType BATCH_FLAG

    - #### VERSION_FLAG

          public static final CommandLineOptionDataType VERSION_FLAG

    - #### FLAG

          public static final CommandLineOptionDataType FLAG

    - #### STRING_OPTION

          public static final CommandLineOptionDataType STRING_OPTION

    - #### INT_OPTION

          public static final CommandLineOptionDataType INT_OPTION

    - #### FLOAT_OPTION

          public static final CommandLineOptionDataType FLOAT_OPTION

  - ### Method Detail

    - #### values

          public static CommandLineOptionDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandLineOptionDataType c : CommandLineOptionDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandLineOptionDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPersistentName

          public java.lang.String getPersistentName()

      Description copied from interface: `PersistentName`
      Returns the String value to be stored in the database or file. Note that the implementing Enum must also have a static method named fromPersistentName(String). This ensures that the Enum can be instantiated from the String read from database or file.
      Specified by:
        `getPersistentName` in interface `PersistentName`

    - #### fromPersistentName

          public static CommandLineOptionDataType fromPersistentName(java.lang.String name)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.